#define LCD_TRIS_COM TRISEbits.TRISE3

#define LCD_TRIS_COL TRISFbits.TRISF5

#define LCD_TRIS_1A TRISDbits.TRISD5
#define LCD_TRIS_1B TRISDbits.TRISD4
#define LCD_TRIS_1C TRISBbits.TRISB4
#define LCD_TRIS_1D TRISBbits.TRISB3
#define LCD_TRIS_1E TRISBbits.TRISB2
#define LCD_TRIS_1F TRISDbits.TRISD6
#define LCD_TRIS_1G TRISDbits.TRISD7

#define LCD_TRIS_2A TRISDbits.TRISD1
#define LCD_TRIS_2B TRISDbits.TRISD0
#define LCD_TRIS_2C TRISAbits.TRISA6
#define LCD_TRIS_2D TRISBbits.TRISB6
#define LCD_TRIS_2E TRISBbits.TRISB5
#define LCD_TRIS_2F TRISDbits.TRISD2
#define LCD_TRIS_2G TRISDbits.TRISD3

#define LCD_TRIS_3A TRISGbits.TRISG1
#define LCD_TRIS_3B TRISGbits.TRISG2
#define LCD_TRIS_3C TRISCbits.TRISC5
#define LCD_TRIS_3D TRISBbits.TRISB7
#define LCD_TRIS_3E TRISAbits.TRISA7
#define LCD_TRIS_3F TRISGbits.TRISG0
#define LCD_TRIS_3G TRISEbits.TRISE7

#define LCD_TRIS_4A TRISFbits.TRISF7
#define LCD_TRIS_4B TRISFbits.TRISF6
#define LCD_TRIS_4C TRISCbits.TRISC2
#define LCD_TRIS_4D TRISCbits.TRISC3
#define LCD_TRIS_4E TRISCbits.TRISC4
#define LCD_TRIS_4F TRISGbits.TRISG4
#define LCD_TRIS_4G TRISGbits.TRISG3

#define LCD_TRIS_5A TRISFbits.TRISF2
#define LCD_TRIS_5B TRISFbits.TRISF1
#define LCD_TRIS_5C TRISCbits.TRISC1
#define LCD_TRIS_5D TRISCbits.TRISC6
#define LCD_TRIS_5E TRISCbits.TRISC7
#define LCD_TRIS_5F TRISFbits.TRISF3
#define LCD_TRIS_5G TRISFbits.TRISF4

#define LCD_TRIS_6A TRISAbits.TRISA2
#define LCD_TRIS_6B TRISAbits.TRISA1
#define LCD_TRIS_6C TRISAbits.TRISA0
#define LCD_TRIS_6D TRISAbits.TRISA5
#define LCD_TRIS_6E TRISAbits.TRISA4
#define LCD_TRIS_6F TRISAbits.TRISA3
#define LCD_TRIS_6G TRISFbits.TRISF0


#define LCD_ANS_SET_COM() 

#define LCD_ANS_SET_COL() ANSELFbits.ANSF5=1

#define LCD_ANS_SET_1A() 
#define LCD_ANS_SET_1B() 
#define LCD_ANS_SET_1C() 
#define LCD_ANS_SET_1D() 
#define LCD_ANS_SET_1E() 
#define LCD_ANS_SET_1F() 
#define LCD_ANS_SET_1G() 

#define LCD_ANS_SET_2A() 
#define LCD_ANS_SET_2B() 
#define LCD_ANS_SET_2C() 
#define LCD_ANS_SET_2D() 
#define LCD_ANS_SET_2E() 
#define LCD_ANS_SET_2F() 
#define LCD_ANS_SET_2G() 

#define LCD_ANS_SET_3A() ANSELGbits.ANSG1=1
#define LCD_ANS_SET_3B() ANSELGbits.ANSG2=1
#define LCD_ANS_SET_3C() 
#define LCD_ANS_SET_3D() 
#define LCD_ANS_SET_3E() 
#define LCD_ANS_SET_3F() 
#define LCD_ANS_SET_3G() 

#define LCD_ANS_SET_4A() ANSELFbits.ANSF7=1
#define LCD_ANS_SET_4B() ANSELFbits.ANSF6=1
#define LCD_ANS_SET_4C() 
#define LCD_ANS_SET_4D() 
#define LCD_ANS_SET_4E() 
#define LCD_ANS_SET_4F() ANSELGbits.ANSG4=1
#define LCD_ANS_SET_4G() ANSELGbits.ANSG3=1

#define LCD_ANS_SET_5A() ANSELFbits.ANSF2=1
#define LCD_ANS_SET_5B() ANSELFbits.ANSF1=1
#define LCD_ANS_SET_5C() 
#define LCD_ANS_SET_5D() 
#define LCD_ANS_SET_5E() 
#define LCD_ANS_SET_5F() ANSELFbits.ANSF3=1
#define LCD_ANS_SET_5G() ANSELFbits.ANSF4=1

#define LCD_ANS_SET_6A() ANSELAbits.ANSA2=1
#define LCD_ANS_SET_6B() ANSELAbits.ANSA1=1
#define LCD_ANS_SET_6C() ANSELAbits.ANSA0=1
#define LCD_ANS_SET_6D() ANSELAbits.ANSA5=1
#define LCD_ANS_SET_6E() 
#define LCD_ANS_SET_6F() ANSELAbits.ANSA3=1
#define LCD_ANS_SET_6G() ANSELFbits.ANSF0=1


#define LCD_SEGEN_COL LCDSE2bits.SE23

#define LCD_SEGEN_1A LCDSE0bits.SE5
#define LCD_SEGEN_1B LCDSE0bits.SE4
#define LCD_SEGEN_1C LCDSE1bits.SE11
#define LCD_SEGEN_1D LCDSE1bits.SE10
#define LCD_SEGEN_1E LCDSE1bits.SE9
#define LCD_SEGEN_1F LCDSE0bits.SE6
#define LCD_SEGEN_1G LCDSE0bits.SE7

#define LCD_SEGEN_2A LCDSE0bits.SE1
#define LCD_SEGEN_2B LCDSE0bits.SE0
#define LCD_SEGEN_2C LCDSE4bits.SE36
#define LCD_SEGEN_2D LCDSE4bits.SE38
#define LCD_SEGEN_2E LCDSE3bits.SE29
#define LCD_SEGEN_2F LCDSE0bits.SE2
#define LCD_SEGEN_2G LCDSE0bits.SE3

#define LCD_SEGEN_3A LCDSE5bits.SE43
#define LCD_SEGEN_3B LCDSE5bits.SE44
#define LCD_SEGEN_3C LCDSE1bits.SE12
#define LCD_SEGEN_3D LCDSE4bits.SE39
#define LCD_SEGEN_3E LCDSE4bits.SE37
#define LCD_SEGEN_3F LCDSE5bits.SE42
#define LCD_SEGEN_3G LCDSE3bits.SE31

#define LCD_SEGEN_4A LCDSE3bits.SE25
#define LCD_SEGEN_4B LCDSE3bits.SE24
#define LCD_SEGEN_4C LCDSE1bits.SE13
#define LCD_SEGEN_4D LCDSE2bits.SE17
#define LCD_SEGEN_4E LCDSE2bits.SE16
#define LCD_SEGEN_4F LCDSE3bits.SE26
#define LCD_SEGEN_4G LCDSE5bits.SE45

#define LCD_SEGEN_5A LCDSE2bits.SE20
#define LCD_SEGEN_5B LCDSE2bits.SE19
#define LCD_SEGEN_5C LCDSE4bits.SE32
#define LCD_SEGEN_5D LCDSE3bits.SE27
#define LCD_SEGEN_5E LCDSE3bits.SE28
#define LCD_SEGEN_5F LCDSE2bits.SE21
#define LCD_SEGEN_5G LCDSE2bits.SE22

#define LCD_SEGEN_6A LCDSE4bits.SE34
#define LCD_SEGEN_6B LCDSE2bits.SE18
#define LCD_SEGEN_6C LCDSE4bits.SE33
#define LCD_SEGEN_6D LCDSE1bits.SE15
#define LCD_SEGEN_6E LCDSE1bits.SE14
#define LCD_SEGEN_6F LCDSE4bits.SE35
#define LCD_SEGEN_6G LCDSE5bits.SE41


#define LCD_DATA_COL LCDDATA2bits.SEG23COM0

#define LCD_DATA_1A LCDDATA0bits.SEG5COM0
#define LCD_DATA_1B LCDDATA0bits.SEG4COM0
#define LCD_DATA_1C LCDDATA1bits.SEG11COM0
#define LCD_DATA_1D LCDDATA1bits.SEG10COM0
#define LCD_DATA_1E LCDDATA1bits.SEG9COM0
#define LCD_DATA_1F LCDDATA0bits.SEG6COM0
#define LCD_DATA_1G LCDDATA0bits.SEG7COM0

#define LCD_DATA_2A LCDDATA0bits.SEG1COM0
#define LCD_DATA_2B LCDDATA0bits.SEG0COM0
#define LCD_DATA_2C LCDDATA13bits.SEG36COM0
#define LCD_DATA_2D LCDDATA13bits.SEG38COM0
#define LCD_DATA_2E LCDDATA12bits.SEG29COM0
#define LCD_DATA_2F LCDDATA0bits.SEG2COM0
#define LCD_DATA_2G LCDDATA0bits.SEG3COM0

#define LCD_DATA_3A LCDDATA14bits.SEG43COM0
#define LCD_DATA_3B LCDDATA14bits.SEG44COM0
#define LCD_DATA_3C LCDDATA1bits.SEG12COM0
#define LCD_DATA_3D LCDDATA13bits.SEG39COM0
#define LCD_DATA_3E LCDDATA13bits.SEG37COM0
#define LCD_DATA_3F LCDDATA14bits.SEG42COM0
#define LCD_DATA_3G LCDDATA12bits.SEG31COM0

#define LCD_DATA_4A LCDDATA12bits.SEG25COM0
#define LCD_DATA_4B LCDDATA12bits.SEG24COM0
#define LCD_DATA_4C LCDDATA1bits.SEG13COM0
#define LCD_DATA_4D LCDDATA2bits.SEG17COM0
#define LCD_DATA_4E LCDDATA2bits.SEG16COM0
#define LCD_DATA_4F LCDDATA12bits.SEG26COM0
#define LCD_DATA_4G LCDDATA14bits.SEG45COM0
#define LCD_DATA_COL2 LCDDATA2bits.SEG23COM0

#define LCD_DATA_5A LCDDATA2bits.SEG20COM0
#define LCD_DATA_5B LCDDATA2bits.SEG19COM0
#define LCD_DATA_5C LCDDATA13bits.SEG32COM0
#define LCD_DATA_5D LCDDATA12bits.SEG27COM0
#define LCD_DATA_5E LCDDATA12bits.SEG28COM0
#define LCD_DATA_5F LCDDATA2bits.SEG21COM0
#define LCD_DATA_5G LCDDATA2bits.SEG22COM0

#define LCD_DATA_6A LCDDATA13bits.SEG34COM0
#define LCD_DATA_6B LCDDATA2bits.SEG18COM0
#define LCD_DATA_6C LCDDATA13bits.SEG33COM0
#define LCD_DATA_6D LCDDATA1bits.SEG15COM0
#define LCD_DATA_6E LCDDATA1bits.SEG14COM0
#define LCD_DATA_6F LCDDATA13bits.SEG35COM0
#define LCD_DATA_6G LCDDATA14bits.SEG41COM0

void LCDInit(void);
void LCDDigit1Set(uint8_t u8);
void LCDDigit2Set(uint8_t u8);
void LCDDigit3Set(uint8_t u8);
void LCDDigit4Set(uint8_t u8);
void LCDDigit5Set(uint8_t u8);
void LCDDigit6Set(uint8_t u8);
